Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -11725,150 +23576,150 @@
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
-  0x0000   Nop                                  N
-  0x0001   ClipRgn                              N
-  0x0002   BkPat                                N
-  0x0003   TxFont                               N
-  0x0004   TxFace                               N
-  0x0005   TxMode                               N
-  0x0006   SpExtra                              N
-  0x0007   PnSize                               N
-  0x0008   PnMode                               N
-  0x0009   PnPat                                N
-  0x000a   FillPat                              N
-  0x000b   OvSize                               N
-  0x000c   Origin                               N
-  0x000d   TxSize                               N
-  0x000e   FgColor                              N
-  0x000f   BkColor                              N
-  0x0010   TxRatio                              N
-  0x0011   VersionOp                            N
-  0x0012   BkPixPat                             N
-  0x0013   PnPixPat                             N
-  0x0014   FillPixPat                           N
-  0x0015   PnLocHFrac                           N
-  0x0016   ChExtra                              N
-  0x0017   Reserved                             N
-  0x001a   RGBFgCol                             N
-  0x001b   RGBBkCol                             N
-  0x001c   HiliteMode                           N
-  0x001d   HiliteColor                          N
-  0x001e   DefHilite                            N
-  0x001f   OpColor                              N
-  0x0020   Line                                 N
-  0x0021   LineFrom                             N
-  0x0022   ShortLine                            N
-  0x0023   ShortLineFrom                        N
-  0x0024   Reserved                             N
-  0x0028   LongText                             N
-  0x0029   DHText                               N
-  0x002a   DVText                               N
-  0x002b   DHDVText                             N
-  0x002c   FontName                             N
-  0x002d   LineJustify                          N
-  0x002e   GlyphState                           N
-  0x002f   Reserved                             N
-  0x0030   FrameRect                            N
-  0x0031   PaintRect                            N
-  0x0032   EraseRect                            N
-  0x0033   InvertRect                           N
-  0x0034   FillRect                             N
-  0x0035   Reserved                             N
-  0x0038   FrameSameRect                        N
-  0x0039   PaintSameRect                        N
-  0x003a   EraseSameRect                        N
-  0x003b   InvertSameRect                       N
-  0x003c   FillSameRect                         N
-  0x003d   Reserved                             N
-  0x0040   FrameRRect                           N
-  0x0041   PaintRRect                           N
-  0x0042   EraseRRect                           N
-  0x0043   InvertRRect                          N
-  0x0044   FillRRect                            N
-  0x0045   Reserved                             N
-  0x0048   FrameSameRRect                       N
-  0x0049   PaintSameRRect                       N
-  0x004a   EraseSameRRect                       N
-  0x004b   InvertSameRRect                      N
-  0x004c   FillSameRRect                        N
-  0x004d   Reserved                             N
-  0x0050   FrameOval                            N
-  0x0051   PaintOval                            N
-  0x0052   EraseOval                            N
-  0x0053   InvertOval                           N
-  0x0054   FillOval                             N
-  0x0055   Reserved                             N
-  0x0058   FrameSameOval                        N
-  0x0059   PaintSameOval                        N
-  0x005a   EraseSameOval                        N
-  0x005b   InvertSameOval                       N
-  0x005c   FillSameOval                         N
-  0x005d   Reserved                             N
-  0x0060   FrameArc                             N
-  0x0061   PaintArc                             N
-  0x0062   EraseArc                             N
-  0x0063   InvertArc                            N
-  0x0064   FillArc                              N
-  0x0065   Reserved                             N
-  0x0068   FrameSameArc                         N
-  0x0069   PaintSameArc                         N
-  0x006a   EraseSameArc                         N
-  0x006b   InvertSameArc                        N
-  0x006c   FillSameArc                          N
-  0x006d   Reserved                             N
-  0x0070   FramePoly                            N
-  0x0071   PaintPoly                            N
-  0x0072   ErasePoly                            N
-  0x0073   InvertPoly                           N
-  0x0074   FillPoly                             N
-  0x0075   Reserved                             N
-  0x0078   FrameSamePoly                        N
-  0x0079   PaintSamePoly                        N
-  0x007a   EraseSamePoly                        N
-  0x007b   InvertSamePoly                       N
-  0x007c   FillSamePoly                         N
-  0x007d   Reserved                             N
-  0x0080   FrameRgn                             N
-  0x0081   PaintRgn                             N
-  0x0082   EraseRgn                             N
-  0x0083   InvertRgn                            N
-  0x0084   FillRgn                              N
-  0x0085   Reserved                             N
-  0x0088   FrameSameRgn                         N
-  0x0089   PaintSameRgn                         N
-  0x008a   EraseSameRgn                         N
-  0x008b   InvertSameRgn                        N
-  0x008c   FillSameRgn                          N
-  0x008d   Reserved                             N
-  0x0090   BitsRect                             N
-  0x0091   BitsRgn                              N
-  0x0092   Reserved                             N
-  0x0098   PackBitsRect                         N
-  0x0099   PackBitsRgn                          N
-  0x009a   DirectBitsRect                       N
-  0x009b   DirectBitsRgn                        N
-  0x009c   Reserved                             N
-  0x009d   Reserved                             N
-  0x009e   Reserved                             N
-  0x009f   Reserved                             N
-  0x00a0   ShortComment                         N
+  0x0000   Nop                                  no
+  0x0001   ClipRgn                              no
+  0x0002   BkPat                                no
+  0x0003   TxFont                               no
+  0x0004   TxFace                               no
+  0x0005   TxMode                               no
+  0x0006   SpExtra                              no
+  0x0007   PnSize                               no
+  0x0008   PnMode                               no
+  0x0009   PnPat                                no
+  0x000a   FillPat                              no
+  0x000b   OvSize                               no
+  0x000c   Origin                               no
+  0x000d   TxSize                               no
+  0x000e   FgColor                              no
+  0x000f   BkColor                              no
+  0x0010   TxRatio                              no
+  0x0011   VersionOp                            no
+  0x0012   BkPixPat                             no
+  0x0013   PnPixPat                             no
+  0x0014   FillPixPat                           no
+  0x0015   PnLocHFrac                           no
+  0x0016   ChExtra                              no
+  0x0017   Reserved                             no
+  0x001a   RGBFgCol                             no
+  0x001b   RGBBkCol                             no
+  0x001c   HiliteMode                           no
+  0x001d   HiliteColor                          no
+  0x001e   DefHilite                            no
+  0x001f   OpColor                              no
+  0x0020   Line                                 no
+  0x0021   LineFrom                             no
+  0x0022   ShortLine                            no
+  0x0023   ShortLineFrom                        no
+  0x0024   Reserved                             no
+  0x0028   LongText                             no
+  0x0029   DHText                               no
+  0x002a   DVText                               no
+  0x002b   DHDVText                             no
+  0x002c   FontName                             no
+  0x002d   LineJustify                          no
+  0x002e   GlyphState                           no
+  0x002f   Reserved                             no
+  0x0030   FrameRect                            no
+  0x0031   PaintRect                            no
+  0x0032   EraseRect                            no
+  0x0033   InvertRect                           no
+  0x0034   FillRect                             no
+  0x0035   Reserved                             no
+  0x0038   FrameSameRect                        no
+  0x0039   PaintSameRect                        no
+  0x003a   EraseSameRect                        no
+  0x003b   InvertSameRect                       no
+  0x003c   FillSameRect                         no
+  0x003d   Reserved                             no
+  0x0040   FrameRRect                           no
+  0x0041   PaintRRect                           no
+  0x0042   EraseRRect                           no
+  0x0043   InvertRRect                          no
+  0x0044   FillRRect                            no
+  0x0045   Reserved                             no
+  0x0048   FrameSameRRect                       no
+  0x0049   PaintSameRRect                       no
+  0x004a   EraseSameRRect                       no
+  0x004b   InvertSameRRect                      no
+  0x004c   FillSameRRect                        no
+  0x004d   Reserved                             no
+  0x0050   FrameOval                            no
+  0x0051   PaintOval                            no
+  0x0052   EraseOval                            no
+  0x0053   InvertOval                           no
+  0x0054   FillOval                             no
+  0x0055   Reserved                             no
+  0x0058   FrameSameOval                        no
+  0x0059   PaintSameOval                        no
+  0x005a   EraseSameOval                        no
+  0x005b   InvertSameOval                       no
+  0x005c   FillSameOval                         no
+  0x005d   Reserved                             no
+  0x0060   FrameArc                             no
+  0x0061   PaintArc                             no
+  0x0062   EraseArc                             no
+  0x0063   InvertArc                            no
+  0x0064   FillArc                              no
+  0x0065   Reserved                             no
+  0x0068   FrameSameArc                         no
+  0x0069   PaintSameArc                         no
+  0x006a   EraseSameArc                         no
+  0x006b   InvertSameArc                        no
+  0x006c   FillSameArc                          no
+  0x006d   Reserved                             no
+  0x0070   FramePoly                            no
+  0x0071   PaintPoly                            no
+  0x0072   ErasePoly                            no
+  0x0073   InvertPoly                           no
+  0x0074   FillPoly                             no
+  0x0075   Reserved                             no
+  0x0078   FrameSamePoly                        no
+  0x0079   PaintSamePoly                        no
+  0x007a   EraseSamePoly                        no
+  0x007b   InvertSamePoly                       no
+  0x007c   FillSamePoly                         no
+  0x007d   Reserved                             no
+  0x0080   FrameRgn                             no
+  0x0081   PaintRgn                             no
+  0x0082   EraseRgn                             no
+  0x0083   InvertRgn                            no
+  0x0084   FillRgn                              no
+  0x0085   Reserved                             no
+  0x0088   FrameSameRgn                         no
+  0x0089   PaintSameRgn                         no
+  0x008a   EraseSameRgn                         no
+  0x008b   InvertSameRgn                        no
+  0x008c   FillSameRgn                          no
+  0x008d   Reserved                             no
+  0x0090   BitsRect                             no
+  0x0091   BitsRgn                              no
+  0x0092   Reserved                             no
+  0x0098   PackBitsRect                         no
+  0x0099   PackBitsRgn                          no
+  0x009a   DirectBitsRect                       no
+  0x009b   DirectBitsRgn                        no
+  0x009c   Reserved                             no
+  0x009d   Reserved                             no
+  0x009e   Reserved                             no
+  0x009f   Reserved                             no
+  0x00a0   ShortComment                         no
   0x00a1   LongComment                          Photoshop
                                                 ICC_Profile
-  0x00a2   Reserved                             N
-  0x00b0   Reserved                             N
-  0x00d0   Reserved                             N
-  0x00ff   OpEndPic                             N
-  0x0100   Reserved                             N
-  0x0200   Reserved                             N
-  0x02ff   Version                              N
-  0x0300   Reserved                             N
-  0x0bff   Reserved                             N
-  0x0c00   HeaderOp                             N
-  0x0c01   Reserved                             N
-  0x7f00   Reserved                             N
-  0x8000   Reserved                             N
-  0x8100   Reserved                             N
-  0x8200   CompressedQuickTime                  N
-  0x8201   UncompressedQuickTime                N
-  0xffff   Reserved                             N
+  0x00a2   Reserved                             no
+  0x00b0   Reserved                             no
+  0x00d0   Reserved                             no
+  0x00ff   OpEndPic                             no
+  0x0100   Reserved                             no
+  0x0200   Reserved                             no
+  0x02ff   Version                              no
+  0x0300   Reserved                             no
+  0x0bff   Reserved                             no
+  0x0c00   HeaderOp                             no
+  0x0c01   Reserved                             no
+  0x7f00   Reserved                             no
+  0x8000   Reserved                             no
+  0x8100   Reserved                             no
+  0x8200   CompressedQuickTime                  no
+  0x8201   UncompressedQuickTime                no
+  0xffff   Reserved                             no
 
 =head2 PNG Tags
@@ -11878,58 +23729,92 @@
 specification.
 
-  Tag ID   Tag Name                             Writable
-  ------   --------                             --------
-  'IHDR'   ImageHeader                          PNG ImageHeader
-  'PLTE'   Palette                              N
-  'bKGD'   BackgroundColor                      N
-  'cHRM'   PrimaryChromaticities                PNG PrimaryChromaticities
-  'dSIG'   DigitalSignature                     N
-  'fRAc'   FractalParameters                    N
-  'gAMA'   Gamma                                N
-  'gIFg'   GIFGraphicControlExtension           N
-  'gIFt'   GIFPlainTextExtension                N
-  'gIFx'   GIFApplicationExtension              N
-  'hIST'   PaletteHistogram                     N
-  'iCCP'   ICC_Profile                          ICC_Profile
-  'iTXt'   InternationalText                    PNG TextualData
-  'oFFs'   ImageOffset                          N
-  'pCAL'   PixelCalibration                     N
-  'pHYs'   PhysicalPixel                        PNG PhysicalPixel
-  'sBIT'   SignificantBits                      N
-  'sCAL'   SubjectScale                         PNG SubjectScale
-  'sPLT'   SuggestedPalette                     N
-  'sRGB'   SRGBRendering                        N
-  'sTER'   StereoImage                          PNG StereoImage
-  'tEXt'   TextualData                          PNG TextualData
-  'tIME'   ModifyDate                           Y
-  'tRNS'   Transparency                         N
-  'tXMP'   XMP                                  XMP
-  'vpAg'   VirtualPage                          PNG VirtualPage
-  'zTXt'   CompressedText                       PNG TextualData
+According to the specification, a PNG file should end at the IEND chunk,
+however ExifTool will preserve any data found after this when writing unless
+it is specifically deleted with C<-Trailer:All=>.  When reading, a minor
+warning is issued if this trailer exists, and ExifTool will attempt to parse
+this data as additional PNG chunks.
+
+Also according to the PNG specification, there is no restriction on the
+location of text-type chunks (tEXt, zTXt and iTXt).  However, certain
+utilities (including some Apple and Adobe utilities) won't read the XMP iTXt
+chunk if it comes after the IDAT chunk, and at least one utility won't read
+other text chunks here.  For this reason, when writing, ExifTool 11.63 and
+later create new text chunks (including XMP) before IDAT, and move existing
+text chunks to before IDAT.
+
+The PNG format contains CRC checksums that are validated when reading with
+either the Verbose or Validate option.  When writing, these checksums are
+validated by default, but the FastScan option may be used to bypass this
+check if speed is more of a concern.
+
+  Tag ID             Tag Name                   Writable
+  ------             --------                   --------
+  'IHDR'             ImageHeader                PNG ImageHeader
+  'PLTE'             Palette                    no
+  'acTL'             AnimationControl           PNG AnimationControl
+  'bKGD'             BackgroundColor            no
+  'cHRM'             PrimaryChromaticities      PNG PrimaryChromaticities
+  'dSIG'             DigitalSignature           no
+  'eXIf'             eXIf                       EXIF
+  'fRAc'             FractalParameters          no
+  'gAMA'             Gamma                      no
+  'gIFg'             GIFGraphicControlExtension no
+  'gIFt'             GIFPlainTextExtension      no
+  'gIFx'             GIFApplicationExtension    no
+  'hIST'             PaletteHistogram           no
+  'iCCP'             ICC_Profile                ICC_Profile
+  'iCCP-name'        ProfileName                no
+  'iDOT'             AppleDataOffsets           no
+  'iTXt'             InternationalText          PNG TextualData
+  'oFFs'             ImageOffset                no
+  'pCAL'             PixelCalibration           no
+  'pHYs'             PhysicalPixel              PNG PhysicalPixel
+  'sBIT'             SignificantBits            no
+  'sCAL'             SubjectScale               PNG SubjectScale
+  'sPLT'             SuggestedPalette           no
+  'sRGB'             SRGBRendering              no
+  'sTER'             StereoImage                PNG StereoImage
+  'tEXt'             TextualData                PNG TextualData
+  'tIME'             ModifyDate                 yes
+  'tRNS'             Transparency               no
+  'tXMP'             XMP                        XMP
+  'vpAg'             VirtualPage                PNG VirtualPage
+  'zTXt'             CompressedText             PNG TextualData
+  'zxIf'             zxIf                       EXIF
 
 =head3 PNG ImageHeader Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    ImageWidth                           N
-      4    ImageHeight                          N
-      8    BitDepth                             N
-      9    ColorType                            N
-     10    Compression                          N
-     11    Filter                               N
-     12    Interlace                            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ImageWidth                           no
+      4    ImageHeight                          no
+      8    BitDepth                             no
+      9    ColorType                            no
+     10    Compression                          no
+     11    Filter                               no
+     12    Interlace                            no
+
+=head3 PNG AnimationControl Tags
+
+Tags found in the Animation Control chunk.  See
+L<https://wiki.mozilla.org/APNG_Specification> for details.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    AnimationFrames                      no
+      1    AnimationPlays                       no
 
 =head3 PNG PrimaryChromaticities Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    WhitePointX                          N
-      1    WhitePointY                          N
-      2    RedX                                 N
-      3    RedY                                 N
-      4    GreenX                               N
-      5    GreenY                               N
-      6    BlueX                                N
-      7    BlueY                                N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    WhitePointX                          no
+      1    WhitePointY                          no
+      2    RedX                                 no
+      3    RedY                                 no
+      4    GreenX                               no
+      5    GreenY                               no
+      6    BlueX                                no
+      7    BlueY                                no
 
 =head3 PNG TextualData Tags
@@ -11938,5 +23823,6 @@
 listed below are the only ones that can be written (unless new user-defined
 tags are added via the configuration file), however ExifTool will extract
-any other TextualData tags that are found.
+any other TextualData tags that are found.  All TextualData tags (including
+tags not listed below) are removed when deleting all PNG tags.
 
 These tags may be stored as tEXt, zTXt or iTXt chunks in the PNG image.  By
@@ -11950,5 +23836,5 @@
 
 Alternate languages are accessed by suffixing the tag name with a '-',
-followed by an RFC 3066 language code (ie. "PNG:Comment-fr", or
+followed by an RFC 3066 language code (eg. "PNG:Comment-fr", or
 "Title-en-US").  See L<http://www.ietf.org/rfc/rfc3066.txt> for the RFC 3066
 specification.
@@ -11962,4 +23848,5 @@
   'Artist'                Artist                string
   'Author'                Author                string
+  'Collection'            Collection            string
   'Comment'               Comment               string
   'Copyright'             Copyright             string
@@ -11971,4 +23858,5 @@
   'Make'                  Make                  string
   'Model'                 Model                 string
+  'Raw profile type 8bim' Photoshop_Profile     Photoshop
   'Raw profile type APP1' APP1_Profile          EXIF
                                                 XMP
@@ -11990,31 +23878,35 @@
 =head3 PNG PhysicalPixel Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    PixelsPerUnitX                       N
-      4    PixelsPerUnitY                       N
-      8    PixelUnits                           N
+These tags are found in the PNG pHYs chunk and belong to the PNG-pHYs family
+1 group.  They are all created together with default values if necessary
+when any of these tags is written, and may only be deleted as a group.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    PixelsPerUnitX                       int32u
+      4    PixelsPerUnitY                       int32u
+      8    PixelUnits                           int8u
 
 =head3 PNG SubjectScale Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    SubjectUnits                         N
-      1    SubjectPixelWidth                    N
-      2    SubjectPixelHeight                   N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SubjectUnits                         no
+      1    SubjectPixelWidth                    no
+      2    SubjectPixelHeight                   no
 
 =head3 PNG StereoImage Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    StereoMode                           N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    StereoMode                           no
 
 =head3 PNG VirtualPage Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    VirtualImageWidth                    N
-      1    VirtualImageHeight                   N
-      2    VirtualPageUnits                     N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    VirtualImageWidth                    no
+      1    VirtualImageHeight                   no
+      2    VirtualPageUnits                     no
 
 =head2 MNG Tags
@@ -12031,10 +23923,10 @@
   'CLIP'   ClipObjects                          MNG ClipObjects
   'CLON'   CloneObject                          MNG CloneObject
-  'DBYK'   DropByKeyword                        N
+  'DBYK'   DropByKeyword                        no
   'DEFI'   DefineObject                         MNG DefineObject
   'DHDR'   DeltaPNGHeader                       MNG DeltaPNGHeader
-  'DISC'   DiscardObjects                       N
-  'DROP'   DropChunks                           N
-  'FRAM'   Frame                                N
+  'DISC'   DiscardObjects                       no
+  'DROP'   DropChunks                           no
+  'FRAM'   Frame                                no
   'JHDR'   JNGHeader                            MNG JNGHeader
   'LOOP'   Loop                                 MNG Loop
